org.eclipse.wst.jsdt.core.infer

## Interface IInferEngineExtension

    public interface IInferEngineExtension

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setCompilationUnit(org.eclipse.wst.jsdt.internal.compiler.ast.CompilationUnitDeclaration parsedUnit, char[] contents)` Set compilation unit for processing.

### Method Detail

#### setCompilationUnit

    void setCompilationUnit(org.eclipse.wst.jsdt.internal.compiler.ast.CompilationUnitDeclaration parsedUnit,
                            char[] contents)

Set compilation unit for processing.